Taliware Developer

Try the CL2C API

Pick an endpoint, fill in the values, and send a real request with your API key. Use a test key while you explore.

23 endpoints
Full URL
puthttps://developer.taliware.com/api/v1/cl2c/nft

Update an asset (ID in body)

Updates an asset's name, description, status, or mintedAt.

PUT
/cl2c/nft
x-api-key<token>

In: header

id?string
name?string
description?string
status?string
Value in"PENDING" | "CREATED" | "MINTED" | "FAILED"
mintedAt?string
Formatdate-time

Response Body

curl -X PUT "https://developer.taliware.com/api/v1/cl2c/nft" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "status": "string",
  "name": "string",
  "description": "string",
  "externalUrl": "string",
  "imagePath": "string",
  "supply": 0,
  "mintedAt": "2019-08-24T14:15:22Z",
  "smartContract": {
    "id": "string",
    "name": "string",
    "symbol": "string",
    "contractAddress": "string",
    "status": "string",
    "network": "string",
    "env": "string"
  }
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
CL2C API Reference | Taliware Developer